html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
    overflow-x: hidden;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
}

body {
    font-family: "Inter", sans-serif;
}

.zip__input__wrapper{
    position: relative;
    width: 100%;
    max-width: 510px;
}

.zip__input__wrapper::after{
    content: url('../images/zip.svg');
    position: absolute;
    top: 18px;
    left: 20px;
}

.zip__input__wrapper:has(.zip__input.address)::after {
    content: url('../images/map.svg');
}

.zip__input__wrapper:has(.zip__input.email)::after {
    content: url('../images/email.svg');
}

.zip__input__wrapper:has(.zip__input.phone)::after {
    content: url('../images/phone.svg');
}

.zip__input, .base__input{
    padding-top: 18px;
    padding-bottom: 18px;
    padding-left: 45px;
    color: #2D2D2D;
    font-family: "Inter", sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    width: 100%;
    border-radius: 14px;
    border: 1px solid #B1E1FF;
    background: #F2F2F2;
    box-sizing: border-box;
}

.zip__input:focus, .base__input:focus{
    outline: 1px solid #8dd1fb;
    box-shadow: none;
}

.zip__input::placeholder, .base__input::placeholder{
    color: #91969E;
    font-family: "Inter", sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 300;
    line-height: normal;
}

input:-internal-autofill-selected{
    background-color: #fff !important;
}

.zip-error {
    font-size: 14px;
    display: none;
    color: #e74242;
    padding-top: 10px;
}

span.error {
    color: #e74242;
    display: block;
    padding-top: 10px;
}

.zip__input.error{
    border: 1px solid #e74242;
}

.zip__input.error:focus, .base__input.error:focus{
    outline: none;
    box-shadow: none;
}

.btn__default {
    border-radius: 14px;
    border: none;
    background: linear-gradient(91deg, #0187B3 -0.8%, #00CBDC 47.91%, #058C95 96.62%);
    display: flex;
    padding: 15px 0;
    justify-content: center;
    align-items: center;
    color: #FFF;
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
}

.btn__default:hover {
    background: linear-gradient(91deg, #017496 -0.8%, #00B4C3 47.91%, #047A82 96.62%);
    color: #FFF;
}

.btn__default.disabled{
    background: linear-gradient(91deg, #0187b3c4 -0.8%, #00cadca8 47.91%, #058b95a2 96.62%);
    color: #ffffffc1;
}

.btn__secondary{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--neutral, #93C3D6);
    text-align: center;
    font-family: "Inter", sans-serif;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 100%; /* 20px */
    text-transform: uppercase;
    border: none;
    background: inherit;
}

.radio__btns__wrapper {
    display: flex;
    gap: 11px;
    justify-content: center;
}

.btn__tertiary {
    flex: 1;
    display: flex;
    flex-direction: column;
    border-radius: 18px;
    border: 2px solid #93C3D6;
    background: #93C3D6;
    align-items: center;
    min-width: 156px;
    max-height: 156px;
    padding: 15px 15px 7px 16px;

    input[type="radio"] {
        display: none;
    }

    &:hover {
        border-radius: 18px;
        border: 2px solid #34E3D2;
        background: #FFF;
    }

    span {
        color: #FFF;
        text-align: center;
        font-family: "Inter", sans-serif;
        font-size: 16px;
        font-style: normal;
        font-weight: 700;
        line-height: 120%; /* 16.8px */
        text-transform: uppercase;
    }
}

.step-1 .btn__tertiary{
    max-width: 156px;
}

.group{
    display: flex;
    flex-direction: column;
    width: 100%;
    gap: 14px;
    margin-top: 7px;
    max-width: 510px;
}

.radio__btns__wrapper label:has(input[type="radio"]:checked) {
    background: #FFF;
    border: 2px solid #34E3D2;
    color: #fff;
}


.radio__btns__wrapper label span {
    color: #FFF;
    transition: .3s;
}

.step-1 .radio__btns__wrapper label span{
    font-size: 14px;
    margin-top: 5px;
}

.radio__btns__wrapper label:hover span {
    background: linear-gradient(180deg, #34E3D2 0%, #2E84D1 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

input[type="radio"]:checked + span,
input[type="radio"]:checked ~ span {
    background: linear-gradient(180deg, #34E3D2 0%, #2E84D1 100%);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.btn__tertiary img{
    width: 80px;
    height: 80px;
    border-radius: 8px;
}

.checkbox__group{
    display: flex;
    align-items: center;
    gap: 4px;
    color: #053D61;
    font-size: 18px;
    font-weight: 400;
    line-height: normal;
    padding-bottom: 10px;
}

.checkbox__group label {
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.checkbox__input {
    display: none;
}

.checkbox__custom {
    flex-shrink: 0;
    width: 22px;
    height: 22px;
    border-radius: 6px;
    border: 1px solid #2AB7A9;
    display: inline-block;
    position: relative;
    transition: background-color 0.2s, transform 0.2s;
}

.checkbox__input:checked + .checkbox__custom {
    background-color: #FFF;
    width: 22px;
    height: 22px;
}

.checkbox__custom::after {
    content: '';
    position: absolute;
    left: 7px;
    top: 4px;
    width: 5px;
    height: 10px;
    border: solid #2AB7A9;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
    opacity: 0;
    transition: opacity 0.2s;
}

.checkbox__input:checked + .checkbox__custom::after {
    opacity: 1;
}

/* =========================================HEADER===================================== */


.header {
    position: relative;
    padding-bottom: 40px;
    overflow: hidden;
    isolation: isolate;
    padding-left: 15px;
    padding-right: 15px;
}

.header::before {
    content: "";
    position: absolute;
    inset: 0;
    background: url('../images/warrantyBg.webp') center center / cover no-repeat;
    z-index: -1;
}

.header__nav {
    border-radius: 11px;
    background: #FFF;
    box-shadow: 0 4px 4px rgba(0,0,0,0.25);
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1360px;
    width: 100%;
    padding: 16px 30px;
    margin: 31px auto 76px auto;
    max-height: 95px;
    box-sizing: border-box;
}


.header__btn {
    display: flex;
    padding: 10px 30px;
    align-items: center;
    gap: 10px;
    border-radius: 80px;
    border: 1px solid rgba(255, 255, 255, 0.50);
    background: #053D61;
    cursor: pointer;
    transition: all .3s;
}

.header__btn:hover{
    background: #087E88;
}

.header__btn a{
    color: #FFF;
    text-align: center;
    font-family: Poppins;
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: 115%; /* 23px */
    letter-spacing: 1.2px;
    text-transform: uppercase;
    text-decoration: none;
}

.header__btn.mobile{
    display: none;
}

.header__logo{
    width: 189px;
    height: 63px;
    margin-right: 10px;
}

.header__logo img{
    width: 100%;
    height: 100%;
}

.header__content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.form__wrapper{
    display: flex;
    padding: 70px 60px;
    flex-direction: column;
    align-items: center;
    border-radius: 30px;
    background: #FFF;
    min-width: 805px;
    width: 100%;
    max-width: 1051px;
    min-height: 683px;
    position: relative;
}


.main__title{
    color: #053D61;
    text-align: center;
    font-size: 38px;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: 0.76px;
    text-transform: uppercase;
    max-width: 685px;
    margin-top: 37px;
}

.main__subtitle{
    color: #053D61;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    line-height: 150%; /* 27px */
    letter-spacing: 0.36px;
    text-transform: uppercase;
}

.title__accent{
    color: #3CD2FF;
    font-size: 38px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%;
    letter-spacing: 0.76px;
    text-transform: uppercase;
}

.step {
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    min-height: 360px;
}

.step.active {
    display: flex;
}

.step__panel{
    position: absolute;
    content: "";
    background: url('../images/panelBg.png') center/cover no-repeat;
    padding: 8px 26px 10px 27px;
    width: 90%;
    color: #FFF;
    text-align: center;
    font-family: "Inter", sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    box-shadow: 0 4px 18px 0 rgba(255, 255, 255, 0.25);
    display: flex;
    justify-content: center;
    top: -0px;
}

.main__subtitle{
    margin-top: 17px;
    margin-bottom: 17px;
}

.btns__wrapper {
    display: flex;
    margin-top: auto;
    flex-direction: column;
    gap: 16px;
    max-width: 510px;
    width: 100%;
}

.progress__wrapper{
    width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
}

.progress-text{
    color: #96AFBF;
    text-align: center;
    font-family: "Inter", sans-serif;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.progress{
    height: 8px;
    width: 100%;
    border-radius: 10px;
    background: #BBE3F4;
}

.progress-bar {
    border-radius: 40px;
    background-color: #00CBDC;
}

.progress-bar-striped {
    background-image: linear-gradient(
            45deg,
            #BBE3F4 25%,
            transparent 25%,
            transparent 50%,
            #BBE3F4 50%,
            #BBE3F4 75%,
            transparent 75%,
            transparent
    );
}

.descr__group{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2px;
    padding-bottom: 10px;
}

.main__descr{
    color: #053D61;
    text-align: center;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.step__text{
    color: #93C3D6;
    text-align: center;
    font-family: "Inter", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin-bottom: 14px;
}

.step__text a{
    color: #93C3D6;
    font-family: "Inter", sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
}

/* ======================================REVIEW=================================== */

.review{
    width: 100%;
    background: #0599A4;
}

.review__wrapper{
    max-width: 1252px;
    padding: 10px;
    margin: 0 auto;
}

.review__list{
    display: flex;
    gap: 12px;
}

.review__list__item{
    border-radius: 30px;
    background: #FFF;
    display: flex;
    padding: 14px 40px;
    align-items: center;
    gap: 7px;
    color: #3E5877;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 25.2px */
}

.review__list__item img{
    width: 100px;
    height: 84px;
    aspect-ratio: 25/21;
}

/* ======================================FOOTER================================== */

.footer{
    background: #F4F8FA;
}

.footer__wrapper{
    display: flex;
    flex-direction: column;
    padding: 31px 87px 31px 87px;
    justify-content: center;
    align-items: center;
}

.footer__logo{
    width: 134px;
    height: 45px;
    margin-bottom: 34px;
}

.footer__logo img{
    width: 100%;
    height: 100%;
}

.footer__title{
    color: #053D61;
    text-align: center;
    font-size: 18px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%;
    text-transform: uppercase;
    margin-bottom: 13px;
}

.footer__text{
    color: #3E5877;
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 140%; /* 19.6px */
    margin-bottom: 25px;
    position: relative;
}

.footer__text::before{
    content: "";
    position: absolute;
    height: 1px;
    width: 35%;
    background: #7D7D7D;
    left: 0;
    top: -28px;
}

.footer__text::after{
    content: "";
    position: absolute;
    height: 1px;
    width: 35%;
    background: #7D7D7D;
    right: 0;
    top: -28px;
}

.footer__links__list{
    display: flex;
    gap: 22px;
    margin-bottom: 12px;
}

.footer__link{
    color: #053D61;
    text-align: center;
    font-family: "Inter", sans-serif;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 19.6px */
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
}

.footer__copyright{
    color: rgba(3, 40, 63, 0.44);
    text-align: center;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 140%; /* 19.6px */
    max-width: 200px;
}





/* ======================================THANK-YOU-PAGE===================================== */

.thank__header{
    position: relative;
    padding-bottom: 40px;
    overflow: hidden;
    isolation: isolate;
    padding-left: 15px;
    padding-right: 15px;
    display: flex;
    flex-direction: column;
}

.thank__header::before{
    content: "";
    position: absolute;
    inset: 0;
    background: url('../images/typBg.webp') center center / cover no-repeat;
    z-index: -1;
}

.thank__header .header__content{
    display: flex;
    padding: 22px 60px;
    height: 100%;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border-radius: 30px;
    background: #FFF;
    max-width: 1360px;
    align-self: center;
}

.thank__section__wrapper{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.thank__content{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    max-width: 685px;
    position: relative;
    padding-bottom: 49px;
}

.thank__content::after{
    content: "";
    position: absolute;
    bottom: 0;
    right: 50%;
    transform: translateX(50%);
    width: 50%;
    height: 1px;
    background-color: #93C3D6;
}

.loader{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.loader p{
    color: #053D61;
    text-align: center;
    font-size: 35px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%; /* 45.5px */
    letter-spacing: 0.7px;
    text-transform: uppercase;
}

.loader span{
    color: #001842;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%; /* 24px */
    letter-spacing: 0.4px;
}

.loader span::after {
    content: "";
    display: inline-block;
    width: 1em;
    text-align: left;
    animation: dots 1.5s steps(3, end) infinite;
}

@keyframes dots {
    0%   { content: ""; }
    33%  { content: "."; }
    66%  { content: ".."; }
    100% { content: "..."; }
}


.thank__content__loader__img{
    width: 239px;
    height: 204px;
    margin-bottom: 37px;
}

.thank__content__loader__img img, .thank__content__img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.thank__content__img{
    width: 239px;
    height: 204px;
}

.thank__content__text .title{
    color: #053D61;
    text-align: center;
    font-size: 35px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%; /* 45.5px */
    letter-spacing: 0.7px;
    text-transform: uppercase;
}

.thank__content__text .text__light__bold{
    color: #053D61;
    text-align: center;
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: 140%; /* 28px */
}

.discover{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 49px;
}

.discover__title {
    color: #053D61;
    text-align: center;
    font-size: 35px;
    font-style: normal;
    font-weight: 500;
    line-height: 130%; /* 45.5px */
    letter-spacing: 0.7px;
    text-transform: uppercase;
    max-width: 750px;
    margin-bottom: 12px;
}

.discover__list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 12px 22px;
    list-style: none;
    padding: 0;
    margin: 0;
}

.discover__list__item {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding: 20px;
    gap: 20px;
    box-sizing: border-box;
    border-radius: 30px;
    border: 2px solid #B1E1FF;
    background: #FFF;
    transition: all .3s;
}

.discover__list__item:hover{
    background: #D2EDFF;
}

.discover__list__item p{
    color: #053D61;
    text-align: center;
    font-size: 23px;
    font-style: normal;
    font-weight: 700;
    line-height: 120%; /* 27.6px */
    letter-spacing: 0.46px;
    text-transform: uppercase;
}

.discover__list__item__img{
    max-width: 359px;
    max-height: 194px;
    border-radius: 30px;
    border: 2px solid #34E3D2;
    background: lightgray 50% / cover no-repeat;
    overflow: hidden;
}

.discover__list__item__img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.thank__section__wrapper .btn__default{
    width: 100%;
}



/* ===================================MEDIA============================= */

@media (min-height: 1210px) {
    body {
        min-height: 100vh;
        display: flex;
        flex-direction: column;
    }

    header {
        flex: 1;
    }
}

@media (min-height: 520px) {
    .header__nav {
        margin: 15px auto 15px auto;
    }
}

@media (min-height: 900px) {
    .header__nav {
        margin: 31px auto 76px auto;
    }
}

@media (max-width: 1000px) {
    .main__title, .title__accent, .thank__content__text .title, .discover__title, .loader p{
        font-size: 28px;
    }

    .main__subtitle{
        font-size: 14px;
    }

    .thank__content__text .text__light__bold, .loader span{
        font-size: 18px;
    }

    .review__list{
        flex-direction: column;
    }

    .header__nav {
        margin: 31px auto 76px auto;
    }

    .form__wrapper {
        min-width: 750px;
        min-height: 550px;
        height: 100%;
    }

    .footer__text::after, .footer__text::before{
        width: 20%;
    }
}

@media (max-width: 900px) {
    .radio__btns__wrapper{
        flex-direction: column;
        gap: 7px;
    }

    .step-1 .radio__btns__wrapper label span {
        text-align: left;
    }

    .step-1 .btn__tertiary {
        max-width: 100%;
    }
}

@media (max-width:760px) {
    .header__nav{
        margin: 31px auto 36px auto;
    }

    .header__btn{
        display: none;
    }

    .header__btn.mobile{
        display: block;
        padding: 10px 20px;
    }

    .form__wrapper{
        padding: 24px 8px;
        min-width: 100%;
        max-width: 100%;
        min-height: 560px;
        max-height: 100%;
    }

    .btn__tertiary img {
        width: 56px;
        height: 56px;
    }

    .btn__tertiary{
        flex-direction: row;
        gap: 20px;
        padding: 5px 20px;
    }

    .form__wrapper:has(.step-6.active) .progress__wrapper {
        padding-top: 40px;
    }

    .step__panel {
        background: url('../images/panelMob.svg') center/100% 100% no-repeat;
        max-width: 330px;
        font-size: 16px;
        top: -1px;
    }

    .footer__links__list{
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .footer__wrapper{
        padding: 48px 12px 48px 12px;
    }

    .discover__list {
        grid-template-columns: repeat(2, 1fr);
    }

    .discover__list__item {
        width: 100%;
    }

    .thank__header .header__content{
        padding: 15px 30px;
    }

    .main__title{
        margin-top: 7px;
    }
}

@media (max-width: 450px) {
    .btns__wrapper {
        margin-top: inherit;
    }

    .footer__text::after, .footer__text::before{
        width: 10%;
    }

    .checkbox__group label{
        gap: 6px;
    }

    .checkbox__custom{
        padding-right: 5px;
        box-sizing: border-box;
    }

    .group{
        display: flex;
        flex-direction: column;
        width: 100%;
        gap: 14px;
        margin-top: 7px;
    }

    .step {
        min-height: 504px;
    }

    .step__panel {
        background: url('../images/panelMob.svg') center/100% 100% no-repeat;
        max-width: 300px;
        top: -1px;
        font-size: 14px;
    }

    .form__wrapper{
        min-height: 560px;
        max-height: 100%;
        height: 100%;
    }

    .discover__list__item{
        cursor: pointer;
        padding: 10px;
    }

    .discover__list {
        grid-template-columns: repeat(2, 1fr);
    }

    .thank__section__wrapper .btn__default{
        display: none;
    }

    .thank__header .header__content{
        padding: 5px;
    }
}

@media (max-width: 360px) {
    .step__panel {
        background: url('../images/panelMob.svg') center/100% 100% no-repeat;
        max-width: 260px;
        top: -10.5px;
        font-size: 14px;
    }

    .discover__list {
        grid-template-columns: 1fr;
    }
}